package de.ozgcloud.formcycle.attachment;

import java.io.ByteArrayInputStream;

import org.apache.http.entity.ContentType;

import de.ozgcloud.formcycle.attachment.FormcycleAttachment.FormcycleAttachmentBuilder;

public class FormcycleAttachmentTestFactory {

	public static final String UUID_KEY = "uuid";
	public static final String UUID = "12345";
	public static final String FILE_NAME_KEY = "fileName";
	public static final String FILE_NAME  = "file.txt";
	public static final ContentType CONTENT_TYPE = ContentType.create("text/plain");
	public static final byte[] CONTENT = "file".getBytes();

	public static FormcycleAttachment create(){
		return createBuilder().build();
	}

	private static FormcycleAttachmentBuilder createBuilder() {
		return FormcycleAttachment.builder()
				.uuid(UUID)
				.fileName(FILE_NAME)
				.contentType(CONTENT_TYPE)
				.content(new ByteArrayInputStream(CONTENT));
	}
}
